=== src/Utsusemi-DNA/Makefile ===
MAKE_DIRS   =  manyo
PREFIX ?= $(MANYO_PATH)
DESTDIR ?=
default:
	cd lib-levmar/2.5 && PREFIX=$(MANYO_PATH) $(MAKE) install
	cd manyo-LevmarTools && $(MAKE) install
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE));\
	done

install:
	mkdir -p $(DESTDIR)$(PREFIX)/lib
	mkdir -p $(DESTDIR)$(PREFIX)/include
	cd lib-levmar/2.5 && $(MAKE) PREFIX=$(MANYO_PATH) install
	cd manyo-LevmarTools && $(MAKE) install
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE) install);\
	done
	mkdir -p $(DESTDIR)/$(PREFIX)/../python-utsusemi/utsusemi
	cp -rf python-utsusemi-DNA $(DESTDIR)/$(PREFIX)/../python-utsusemi/utsusemi/DNA
	cp -rf environ-home $(DESTDIR)/$(PREFIX)/../python-utsusemi/utsusemi/DNA

clean:
	cd lib-levmar/2.5 && $(MAKE) clean
	cd manyo-LevmarTools && $(MAKE) clean
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE) clean);\
	done

man:
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE) man);\
	done
