=== src/Utsusemi-ENG/Makefile ===

MAKE_DIRS   = manyo
PREFIX ?= $(MANYO_PATH)
DESTDIR ?=
default:
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE));\
	done

install:
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE) install);\
	done
	mkdir -p $(DESTDIR)/$(PREFIX)/../python-utsusemi/utsusemi
	cp -rf python-utsusemi-ENG $(DESTDIR)/$(PREFIX)/../python-utsusemi/utsusemi/ENG

clean:
	@for subdir in $(MAKE_DIRS);\
	 do \
	(cd $$subdir && $(MAKE) clean);\
	done

man:
	@for subdir in $(MAKE_DIRS);\
	 do \
	(cd $$subdir && $(MAKE) man);\
	done
