=== src/Utsusemi-SAS/Makefile ===

MAKE_DIRS   = manyo
PREFIX ?= $(MANYO_PATH)
DESTDIR ?=
default:
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE));\
	done

install:
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE) install);\
	done
	mkdir -p $(DESTDIR)/$(PREFIX)/../python-utsusemi/utsusemi/bin
	cp -rf python-utsusemi-SAS $(DESTDIR)/$(PREFIX)/../python-utsusemi/utsusemi/SAS
	cp -rf python-utsusemi-SAS/bin/UBSlicer $(DESTDIR)/$(PREFIX)/../python-utsusemi/utsusemi/bin/UBSlicer

clean:
	@for subdir in $(MAKE_DIRS);\
	 do \
	(cd $$subdir && $(MAKE) clean);\
	done

man:
	@for subdir in $(MAKE_DIRS);\
	 do \
	(cd $$subdir && $(MAKE) man);\
	done
