=== src/Utsusemi/CMakeLists.txt ===
# Refference : https://github.com/danielunderwood/swig-example/blob/master/CMakeLists.txt

# $ cd manyo
# $ mkdir build; cd build
# $ rm -rf *; cmake .. -DCMAKE_INSTALL_PREFIX=/path/to/Manyo [-DMULTH=<n>[, -DNEXUS_PATH=/path/to/nexul, -DMANYO_INSTTYPE=(N/O), -DUTSUSEMI_REV=YYMMDD]]
# $ make install

cmake_minimum_required(VERSION 3.13)
project(Utsusemi CXX)

# Find Python
find_package(Python COMPONENTS Interpreter Development)
#include_directories(${Python_INCLUDE_DIRS})

# Check macOS
if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set(MACOS TRUE)
endif()

# Set MANYO_MULTH
if (DEFINED MULTH)
  set(MANYO_MULTH ${MULTH})
else (DEFINED MULTH)
  set(MANYO_MULTH 8)
endif (DEFINED MULTH)

# Set MANYO_NEXUS_PATH
if (DEFINED NEXUS_PATH)
  set(MANYO_NEXUS_PATH ${NEXUS_PATH})
else ()
  set(MANYO_NEXUS_PATH ${CMAKE_INSTALL_PREFIX})
endif ()
message("MANYO_NEXUS_PATH=" ${MANYO_NEXUS_PATH})

# Set REVISION (date)
if (DEFINED UTSUSEMI_REV)
   set(UTSUSEMI_REVISION ${UTSUSEMI_REV})
else ()
   set(UTSUSEMI_REVISION 0)
endif ()
message("UTSUSEMI_REVISION = " ${UTSUSEMI_REVISION})

# Installation type
# MANYO_LIB_PATH is the relative path to libManyo and other manyo libraries from CMAKE_INSTALL_PREFIX
# as "lib/python3.11/dist-package"
# Therefor MANYO_PATH is ${CMAKE_INSTALL_PREFIX}/${MANYO_LIB_PATH}
if ((DEFINED MANYO_INSTTYPE) AND (${MANYO_INSTTYPE} MATCHES "N"))
  message("MANYO_INSTTYPE = New")
  set(MANYO_LIB_PATH lib/python${Python_VERSION_MAJOR}.${Python_VERSION_MINOR}/dist-packages)
  set(MANYO_PATH ${CMAKE_INSTALL_PREFIX}/${MANYO_LIB_PATH})
else()
  message("MANYO_INSTTYPE = Old")
  set(MANYO_LIB_PATH lib)
  set(MANYO_PATH ${CMAKE_INSTALL_PREFIX})
endif()

# Add subdirectories for Manyo lib
add_subdirectory(manyo)
