=== src/Utsusemi/Makefile ===

MAKE_DIRS   = manyo
PREFIX ?= $(MANYO_PATH)
PYUTSUPREFIX ?= ${MANYO_PATH}/../python-utsusemi/
DESTDIR ?=
default:
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE));\
	done

install:
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE) install);\
	done
	mkdir -p $(DESTDIR)/$(PYUTSUPREFIX)/utsusemi
	cp -rf python-utsusemi/* $(DESTDIR)/$(PYUTSUPREFIX)/utsusemi
	cp -rf python-utsusemi-AMR $(DESTDIR)/$(PYUTSUPREFIX)/utsusemi/AMR
	cp -rf python-utsusemi-HPN $(DESTDIR)/$(PYUTSUPREFIX)/utsusemi/HPN
	cp -rf python-utsusemi-SIK $(DESTDIR)/$(PYUTSUPREFIX)/utsusemi/SIK
	cp -rf python-utsusemi-VNR $(DESTDIR)/$(PYUTSUPREFIX)/utsusemi/VNR
ifndef WITOUTUGAO
	cp -rf uGao $(DESTDIR)/$(PYUTSUPREFIX)
endif

uninstall:
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE) uninstall);\
	done
	rm -rf $(DESTDIR)/$(PYUTSUPREFIX)/utsusemi
	rmdir $(DESTDIR)/$(PYUTSUPREFIX)

clean:
	@for subdir in $(MAKE_DIRS);\
	 do \
	(cd $$subdir && $(MAKE) clean);\
	done

man:
	@for subdir in $(MAKE_DIRS);\
	 do \
	(cd $$subdir && $(MAKE) man);\
	done
