=== src/manyo/Makefile ===

MAKE_DIRS   = core MLF SerialPySrv

default:
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE));\
	done

install:
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE) install);\
	done

clean:
	@for subdir in $(MAKE_DIRS);\
	 do \
	(cd $$subdir && $(MAKE) clean);\
	done

man:
	@for subdir in $(MAKE_DIRS);\
	 do \
	(cd $$subdir && $(MAKE) man);\
	done
