=== src/Utsusemi-ENG/contrib/deb/ubuntu22/debian/changelog ===
mlf-utsusemi-eng (4.0.180508-ubu22) UNRELEASED; urgency=medium

  * Initial release

 -- Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>  Mon, 8 May 2018 19:05:10 +0900
