=== src/Utsusemi-SAS/contrib/deb/ubuntu24/debian/changelog ===
mlf-utsusemi-sas (4.0.210312-ubu20) UNRELEASED; urgency=medium

  * Update and bugfix

 -- Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>  Tue, 13 Apr 2021 20:05:44 +0900

mlf-utsusemi-sas (4.0.210129-ubu20) unstable; urgency=medium

  * Initial release

 -- Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>  Mon, 15 Feb 2021 19:05:10 +0900
