=== src/Utsusemi/contrib/deb/ubuntu18/debian/changelog ===
mlf-utsusemi-ugao (4.0.210202-ubu18) unstable; urgency=medium

  * Initial release for Ubuntu18

 -- Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>  Mon, 08 Feb 2021 18:39:33 +0900
