=== src/Utsusemi/contrib/deb/ubuntu24/debian/changelog ===
mlf-utsusemi-with-ugao (4.0.210402-ubu20) UNRELEASED; urgency=medium

  * Update and bugfix

 -- Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>  Thu, 08 Apr 2021 14:20:36 +0900

mlf-utsusemi-with-ugao (4.0.210208-ubu20) unstable; urgency=medium

  * Initial release

 -- Yasuhiro Inamura <yinamura@unknown>  Mon, 08 Feb 2021 15:56:05 +0900
