=== src/manyo/contrib/deb/ubuntu18/debian/changelog ===
mlf-manyo (0.3.4.210122-ubu18) unstable; urgency=medium

  * Initial release

 -- Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>  Tue, 26 Jan 2021 21:54:55 +0900
