=== src/manyo/contrib/deb/ubuntu24/debian/changelog ===
mlf-manyo (0.3.4.210122-ubu20) unstable; urgency=medium

  * Initial release ( original source codes are updated at 210122 )

 -- Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>  Tue, 26 Jan 2021 20:36:36 +0900
