=== src/Utsusemi-DNA/contrib/deb/ubuntu24/debian/control ===
Source: mlf-utsusemi-dna
Priority: optional
Maintainer: Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>
Build-Depends: debhelper-compat (= 12), mlf-utsusemi-with-ugao-dev
Standards-Version: 4.4.1
Section: libs
Homepage: https://mlfinfo.jp/groups/comp/en/utsusemi.html
#Vcs-Browser: https://salsa.debian.org/debian/mlf-utsusemi-dna
#Vcs-Git: https://salsa.debian.org/debian/mlf-utsusemi-dna.git

Package: mlf-utsusemi-dna-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: mlf-utsusemi-dna (= ${binary:Version}), ${misc:Depends}
Description: DNA Utsusemi environments
 BL02 environment on Utsusemi

Package: mlf-utsusemi-dna
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, mlf-utsusemi-with-ugao
Description: DNA Utsusemi environments
 BL02 environment on Utsusemi
