=== src/Utsusemi-ENG/contrib/deb/ubuntu24/debian/control ===
Source: mlf-utsusemi-eng
Priority: optional
Maintainer: Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>
Build-Depends: debhelper-compat (= 12), mlf-utsusemi-with-ugao-dev
Standards-Version: 4.4.1
Section: libs
Homepage: https://mlfinfo.jp/groups/comp/en/utsusemi.html
#Vcs-Browser: https://salsa.debian.org/debian/mlf-utsusemi-sas
#Vcs-Git: https://salsa.debian.org/debian/mlf-utsusemi-sas.git

Package: mlf-utsusemi-eng-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: mlf-utsusemi-eng (= ${binary:Version}), ${misc:Depends}
Description: Utsusemi-ENG environments
 BL19 environment on Utsusemi

Package: mlf-utsusemi-eng
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, mlf-utsusemi-with-ugao
Description: Utsusemi-ENG environments
 BL19 environment on Utsusemi
