=== src/Utsusemi/contrib/deb/ubuntu18/debian/control ===
Source: mlf-utsusemi-ugao
Section: unknown
Priority: optional
Maintainer: Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>
Build-Depends: debhelper (>= 10), mlf-manyo-dev
Standards-Version: 4.1.2
Homepage: https://mlfinfo.jp/groups/comp/en/utsusemi.html
#Vcs-Git: https://anonscm.debian.org/git/collab-maint/mlf-utsusemi-ugao.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mlf-utsusemi-ugao.git

Package: mlf-utsusemi-ugao-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: mlf-utsusemi (= ${binary:Version}), ${misc:Depends}
Description: Manyo Library for developers
 Data reduction and analysis environment for the neutron scattering measurements in Material & Life Science Facility (MLF) at J-PARC.

Package: mlf-utsusemi-ugao
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mlf-manyo1, python3-matplotlib (>=2.0), python3-numpy (>=1.13), python3-scipy (>=0.19), python3-pyside.qtcore (>=1.2), python3-pyside.qtgui (>=1.2)
Description: Utsusemi
 Utsusemi is the software series used to analyze and visualize the neutron scattering data observed at MLF [1]. Utsusemi software is written in C++, based on the Manyo Library framework [2] and Python to achieve flexible and high quality data analysis and to provide easy-to-use environment for MLF users.
 Utsusemi has been already introduced in a lot of beamlines at MLF to become one of the frameworks for data reduction and analysis.
