=== src/Utsusemi/contrib/deb/ubuntu24/debian/control ===
Source: mlf-utsusemi-with-ugao
Priority: optional
Maintainer: Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>
Build-Depends: debhelper-compat (= 12), mlf-manyo-dev
Standards-Version: 4.4.1
Section: unknown
Homepage: https://mlfinfo.jp/groups/comp/en/utsusemi.html
#Vcs-Browser: https://salsa.debian.org/debian/mlf-utsusemi-with-ugao
#Vcs-Git: https://salsa.debian.org/debian/mlf-utsusemi-with-ugao.git

Package: mlf-utsusemi-with-ugao-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: mlf-utsusemi-with-ugao (= ${binary:Version}), ${misc:Depends}
Description: Utsusemi environment for developpers
 Data reduction, analysis and visualizations environment for the neutron scattering measurements in Material & Life Science Facility (MLF) at J-PARC.

Package: mlf-utsusemi-with-ugao
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, mlf-manyo1, python3-matplotlib (>=3.0), python3-scipy (>=1.3), python3-pyside2.qtcore (>=5.0), python3-pyside2.qtgui (>=5.0), python3-pyside2.qtwidgets (>=5.0)
Description: Utsusemi environment
 Utsusemi is the software series used to analyze and visualize the neutron scattering data observed at MLF [1]. Utsusemi software is written in C++, based on the Manyo Library framework [2] and Python to achieve flexible and high quality data analysis and to provide easy-to-use environment for MLF users.
 Utsusemi has been already introduced in a lot of beamlines at MLF to become one of the frameworks for data reduction and analysis.
