=== src/manyo/contrib/deb/ubuntu18/debian/control ===
Source: mlf-manyo
Priority: optional
Maintainer: Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>
Build-Depends: debhelper (>= 10), swig (>=3.0), libboost-system-dev (>=1.54), libboost-filesystem-dev (>=1.54), libboost-serialization-dev (>=1.54), libboost-program-options-dev (>=1.54), libgsl-dev (>=1.5), python3-dev (>=3.6), libhdf5-dev (>=1.8), libnexus0-dev (>=4.2), libssl-dev (>=0.9)
Standards-Version: 4.1.2
Section: libs
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: https://anonscm.debian.org/git/collab-maint/mlf-manyo.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mlf-manyo.git

Package: mlf-manyo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: mlf-manyo1 (= ${binary:Version}), ${misc:Depends}
Description: Manyo Library for developers
 Data reduction and analysis environment for the neutron scattering measurements in Material & Life Science Facility (MLF) at J-PARC.


Package: mlf-manyo1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Manyo Library
 Data reduction and analysis environment for the neutron scattering measurements in Material & Life Science Facility (MLF) at J-PARC.
