=== src/manyo/contrib/deb/ubuntu24/debian/control ===
Source: mlf-manyo
Priority: optional
Maintainer: Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>
Build-Depends: debhelper-compat (= 12), libboost-system-dev (>=1.54), libboost-filesystem-dev (>=1.54), libboost-serialization-dev (>=1.54), libboost-program-options-dev (>=1.54), libgsl-dev (>=1.5), python3-dev (>=3.7), libhdf5-dev (>=1.8), libnexus-dev (>=4.4), libssl-dev (>=0.9)
Standards-Version: 4.4.1
Section: libs
Homepage: <insert the upstream URL, if relevant>
#Vcs-Browser: https://salsa.debian.org/debian/mlf-manyo
#Vcs-Git: https://salsa.debian.org/debian/mlf-manyo.git

Package: mlf-manyo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: mlf-manyo1 (= ${binary:Version}), ${misc:Depends}
Description: Manyo Library for developers
 Data reduction and analysis environment for the neutron scattering measurements in Material & Life Science Facility (MLF) at J-PARC.

Package: mlf-manyo1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Manyo Library
 Data reduction and analysis environment for the neutron scattering measurements in Material & Life Science Facility (MLF) at J-PARC.
