=== src/Utsusemi/contrib/deb/ubuntu24/debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PyVer=3.12
export DIST_NAME=Ubuntu24
export MANYO_PATH=/opt/mlfsoft/manyo
export INSTALL_PATH=/opt/mlfsoft/manyo
export LIBRARY_PATH=${MANYO_PATH}/lib:${INSTALL_PATH}:/usr/local/lib
export LD_LIBRARY_PATH=${LIBRARY_PATH}
export C_INCLUDE_PATH=/usr/include/nexus:/usr/include/hdf5/serial:/usr/include/python${PyVer}:${MANYO_PATH}/include:/usr/local/include:${MANYO_PATH}/include/Manyo:${MANYO_PATH}/include/MLF:${MANYO_PATH}/include/Utsusemi
export INC_EXT="Manyo MLF Utsusemi "
export CPLUS_INCLUDE_PATH=${C_INCLUDE_PATH}
export PYTHONPATH=${MANYO_PATH}
export CXX=g++
export NUM_MULTH=8
export UTSUSEMI_REV=0

%:
	dh $@


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
